Jump to content


DizzyBat

Member Since 27 Jul 2017
Offline Last Active Aug 08 2017 09:51 AM
-----

Posts I've Made

In Topic: Avoid for Production Servers - US 13.3.2

08 August 2017 - 09:51 AM

Did a lot of testing recently. It's the PHP 7.1.1 coming with the stack, which is full of memory leaking bugs. Even requests for static files increase the memory allocation uncontrollably if PHP 7.1.1 is installed, to the point PHP is unable to allocate more memory and the server crashes.

 

So, DON'T USE PHP 7.1.1 for production.

 

You can install PHP 5.6. PHP 7.1 also had numerous updates (7.1.8 currently), mostly dealing with memory leakages. You can try an up to date version.

 

Still strange, I'd expect some replies to people asking for help on server crashes in the recent years, as it's not a rare issue. At least a warning about 13.3 and PHP 7...